## scummvm 2.8.0+dfsg

=== backends/platform/libretro/Makefile ===
ROOT_PATH := $(patsubst %/,%,$(dir $(abspath $(lastword $(MAKEFILE_LIST)))))

# Output files prefix
TARGET_NAME = scummvm

HIDE := @
SPACE :=
SPACE := $(SPACE) $(SPACE)
BACKSLASH :=
BACKSLASH := \$(BACKSLASH)
filter_out1 = $(filter-out $(firstword $1),$1)
filter_out2 = $(call filter_out1,$(call filter_out1,$1))
unixpath = $(subst \,/,$1)
unixcygpath = /$(subst :,,$(call unixpath,$1))

ifeq ($(shell uname -a),)
   EXE_EXT = .exe
endif

ifeq ($(BUILD_64BIT),)
ifeq (,$(findstring 64,$(platform) $(TOOLSET)))
   BUILD_64BIT := 0
else
   BUILD_64BIT := 1
endif
endif
TARGET_64BIT := $(BUILD_64BIT)

LD        = $(CXX)
AR       := ar cru
RANLIB   := ranlib
LS       := ls
MKDIR    := mkdir -p
RM       := rm -f
RM_REC   := rm -rf
CP       := cp


LDFLAGS :=

# Raspberry Pi 3 (64 bit)
ifeq ($(platform), rpi3_64)
   TARGET   = $(TARGET_NAME)_libretro.so
   DEFINES += -fPIC -D_ARM_ASSEM_ -DUSE_CXX11 -DARM -DDEFAULT_PERF_TUNER
   LDFLAGS += -shared -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
   CFLAGS  += -fPIC -mcpu=cortex-a53 -mtune=cortex-a53 -fomit-frame-pointer -ffast-math
   CXXFLAGS = $(CFLAGS) -frtti -std=c++11

# Raspberry Pi 4 (64 bit)
else ifeq ($(platform), rpi4_64)
   TARGET = $(TARGET_NAME)_libretro.so
   DEFINES += -fPIC -D_ARM_ASSEM_ -DUSE_CXX11 -DARM
   LDFLAGS += -shared -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
   CFLAGS += -fPIC -mcpu=cortex-a72 -mtune=cortex-a72 -fomit-frame-pointer -ffast-math
   CXXFLAGS = $(CFLAGS) -frtti -std=c++11

# iOS
else ifneq (,$(findstring ios,$(platform)))
   TARGET  := $(TARGET_NAME)_libretro_ios.dylib
   DEFINES += -fPIC -DHAVE_POSIX_MEMALIGN=1 -DIOS
   LDFLAGS += -dynamiclib -fPIC
   MINVERSION :=

ifeq ($(IOSSDK),)
   IOSSDK := $(shell xcodebuild -version -sdk iphoneos Path)
endif
ifeq ($(platform),ios-arm64)
   CC        = cc -arch arm64 -isysroot $(IOSSDK)
   CXX       = c++ -arch arm64 -isysroot $(IOSSDK)
else
   CC       = cc -arch armv7 -isysroot $(IOSSDK) -marm
   CXX      = c++ -arch armv7 -isysroot $(IOSSDK)
endif

ifeq ($(platform),$(filter $(platform),ios9 ios-arm64))
   MINVERSION += -miphoneos-version-min=8.0
else
   MINVERSION += -miphoneos-version-min=5.0
endif
   CFLAGS   += $(MINVERSION)
   CXXFLAGS += $(MINVERSION) -std=c++11

else ifeq ($(platform), tvos-arm64)
   EXT?=dylib
   TARGET := $(TARGET_NAME)_libretro_tvos.$(EXT)
   DEFINES += -fPIC -DHAVE_POSIX_MEMALIGN=1 -DIOS
   LDFLAGS += -dynamiclib -fPIC
ifeq ($(IOSSDK),)
   IOSSDK := $(shell xcodebuild -version -sdk appletvos Path)
endif
   CC  = cc -arch arm64 -isysroot $(IOSSDK)
   CXX = c++ -arch arm64 -isysroot $(IOSSDK) -std=c++11

# QNX
else ifeq ($(platform), qnx)
   TARGET  := $(TARGET_NAME)_libretro_$(platform).so
   DEFINES += -fPIC -DSYSTEM_NOT_SUPPORTING_D_TYPE -DDEFAULT_PERF_TUNER
   LDFLAGS += -shared -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
   CC = qcc -Vgcc_ntoarmv7le
   CXX = QCC -Vgcc_ntoarmv7le
   LD = QCC -Vgcc_ntoarmv7le
   AR = qcc -Vgcc_ntoarmv7le -A
   RANLIB="${QNX_HOST}/usr/bin/ntoarmv7-ranlib"

# Genode
else ifeq ($(platform), genode)
   TARGET  := libretro.so
   DEFINES += -fPIC -DSYSTEM_NOT_SUPPORTING_D_TYPE -DFRONTEND_SUPPORTS_RGB565 -DDEFAULT_PERF_TUNER
   C_PKGS   = libc
   CXX_PKGS = stdcxx genode-base
   CFLAGS   += -D__GENODE__ $(shell pkg-config --cflags $(C_PKGS))
   CXXFLAGS += -D__GENODE__ $(shell pkg-config --cflags $(CXX_PKGS))

   LIBS += $(shell pkg-config --libs $(C_PKGS) $(CXX_PKGS) genode-lib)

   CC  = $(shell pkg-config genode-base --variable=cc)
   CXX = $(shell pkg-config genode-base --variable=cxx)
   LD  = $(shell pkg-config genode-base --variable=ld)
   AR  = $(shell pkg-config genode-base --variable=ar) rcs
   RANLIB = genode-x86-ranlib

# Lightweight PS3 Homebrew SDK
else ifneq (,$(filter $(platform), ps3 psl1ght))
   TARGET := $(TARGET_NAME)_libretro_$(platform).a
   CC = $(PS3DEV)/ppu/bin/ppu-$(COMMONLV)gcc$(EXE_EXT)
   CXX = $(PS3DEV)/ppu/bin/ppu-$(COMMONLV)g++$(EXE_EXT)
   AR = $(PS3DEV)/ppu/bin/ppu-$(COMMONLV)ar$(EXE_EXT) rcs
   DEFINES := -DPLAYSTATION3 -D__PS3__ -DRETRO_IS_BIG_ENDIAN=1 -DRETRO_IS_LITTLE_ENDIAN=0 -DWORDS_BIGENDIAN=1 -mcpu=cell -mno-fp-in-toc -I$(PS3DEV)/ppu/include
   ifeq ($(platform), psl1ght)
      DEFINES += -D__PSL1GHT__
   endif
   STATIC_LINKING = 1

# Nintendo Wii
else ifeq ($(platform), wii)
   TARGET := $(TARGET_NAME)_libretro_wii.a
   CC = $(DEVKITPPC)/bin/powerpc-eabi-gcc$(EXE_EXT)
   CXX = $(DEVKITPPC)/bin/powerpc-eabi-g++$(EXE_EXT)
   AR = $(DEVKITPPC)/bin/powerpc-eabi-ar$(EXE_EXT) rcs
   DEFINES += -DGEKKO -DHW_RVL -mrvl -mcpu=750 -meabi -mhard-float -D__ppc__ -I$(DEVKITPRO)/libogc/include -DDEFAULT_PERF_TUNER -DRETRO_IS_BIG_ENDIAN=1 -DRETRO_IS_LITTLE_ENDIAN=0 -DWORDS_BIGENDIAN=1
   LITE := 1
   STATIC_LINKING = 1

# Nintendo Switch (libnx)
else ifeq ($(platform), libnx)
    export DEPSDIR := $(CURDIR)
    include $(DEVKITPRO)/libnx/switch_rules
    EXT=a
    TARGET := $(TARGET_NAME)_libretro_$(platform).$(EXT)
    AR = $(DEVKITPRO)/devkitA64/aarch64-none-elf/bin/ar$(EXE_EXT) rcs
    DEFINES := -DSWITCH=1 -U__linux__ -U__linux
    DEFINES   += -g -O3 -fPIE -I$(LIBNX)/include/ -ffunction-sections -fdata-sections -ftls-model=local-exec
    DEFINES += $(INCDIRS)
    DEFINES += -D__SWITCH__ -DHAVE_LIBNX -march=armv8-a -mtune=cortex-a57 -mtp=soft
    CXXFLAGS := $(ASFLAGS) -std=gnu++11 -fpermissive
    STATIC_LINKING = 1

# Nintendo Wii U
else ifeq ($(platform), wiiu)
   TARGET := $(TARGET_NAME)_libretro_wiiu.a
   CC = $(DEVKITPPC)/bin/powerpc-eabi-gcc$(EXE_EXT)
   CXX = $(DEVKITPPC)/bin/powerpc-eabi-g++$(EXE_EXT)
   AR = $(DEVKITPPC)/bin/powerpc-eabi-ar$(EXE_EXT) rcs
   AR_ALONE = $(DEVKITPPC)/bin/powerpc-eabi-ar$(EXE_EXT)
   DEFINES += -mwup -mcpu=750 -meabi -mhard-float -D__POWERPC__ -D__ppc__ -DRETRO_IS_BIG_ENDIAN=1 -DRETRO_IS_LITTLE_ENDIAN=0 -DWORDS_BIGENDIAN=1
   DEFINES += -U__INT32_TYPE__ -U __UINT32_TYPE__ -D__INT32_TYPE__=int
   DEFINES += -DHAVE_STRTOUL -DWIIU
   CXXFLAGS := -fpermissive
   LITE := 1
   STATIC_LINKING = 1

# Nintendo 3DS
else ifeq ($(platform), ctr)
   TARGET := $(TARGET_NAME)_libretro_$(platform).a
   CC = $(DEVKITARM)/bin/arm-none-eabi-gcc$(EXE_EXT)
   CXX = $(DEVKITARM)/bin/arm-none-eabi-g++$(EXE_EXT)
   AR = $(DEVKITARM)/bin/arm-none-eabi-ar$(EXE_EXT) rcs
   RANLIB = $(DEVKITARM)/bin/arm-none-eabi-ranlib$(EXE_EXT)
   ifeq ($(strip $(CTRULIB)),)
      $(error "Please set CTRULIB in your environment. export CTRULIB=<path to>libctru")
   endif
   DEFINES += -DARM11 -D_3DS -I$(CTRULIB)/include
   DEFINES += -march=armv6k -mtune=mpcore -mfloat-abi=hard
   DEFINES += -Wall -mword-relocations
   DEFINES += -fomit-frame-pointer -ffast-math -DDEFAULT_PERF_TUNER
   CXXFLAGS += -std=gnu++11 -fpermissive
   USE_VORBIS = 0
   USE_THEORADEC = 0
   USE_TREMOR = 1
   USE_MT32EMU = 0
   STATIC_LINKING = 1

# Vita
else ifeq ($(platform), vita)
   TARGET := $(TARGET_NAME)_libretro_$(platform).a
   CC = arm-vita-eabi-gcc$(EXE_EXT)
   CXX = arm-vita-eabi-g++$(EXE_EXT)
   AR = arm-vita-eabi-ar$(EXE_EXT) rcs
   DEFINES += -march=armv7-a -mtune=cortex-a9 -mfpu=neon -mfloat-abi=hard
   DEFINES += -fno-optimize-sibling-calls -mlong-calls -mword-relocations
   DEFINES += -DVITA -DREDUCE_MEMORY_USAGE -DUNCACHED_PLUGINS -DPSP2 -DSYSTEM_NOT_SUPPORTING_D_TYPE
   USE_LIBCO = 0
   LITE := 1
   STATIC_LINKING = 1

# GCW0
else ifeq ($(platform), gcw0)
   TARGET := $(TARGET_NAME)_libretro.so
   CC = /opt/gcw0-toolchain/usr/bin/mipsel-linux-gcc
   CXX = /opt/gcw0-toolchain/usr/bin/mipsel-linux-g++
   LD = /opt/gcw0-toolchain/usr/bin/mipsel-linux-g++
   AR = /opt/gcw0-toolchain/usr/bin/mipsel-linux-ar cru
   RANLIB = /opt/gcw0-toolchain/usr/bin/mipsel-linux-ranlib
   DEFINES += -DDINGUX -fomit-frame-pointer -ffast-math -march=mips32 -mtune=mips32r2 -mhard-float -fPIC
   DEFINES += -ffunction-sections -fdata-sections -DDEFAULT_PERF_TUNER
   LDFLAGS += -shared -Wl,--gc-sections -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
   CFLAGS += -std=gnu99
   CXXFLAGS += -std=c++11
   USE_VORBIS = 0
   USE_THEORADEC = 0
   USE_TREMOR = 1
   USE_LIBCO  = 0
   USE_CURL = 0
   USE_MT32EMU = 0
   USE_HIGHRES := 0

# MIYOO
else ifeq ($(platform), miyoo)
   TARGET := $(TARGET_NAME)_libretro.so
   CC = /opt/miyoo/usr/bin/arm-linux-gcc
   CXX = /opt/miyoo/usr/bin/arm-linux-g++
   LD = /opt/miyoo/usr/bin/arm-linux-g++
   AR = /opt/miyoo/usr/bin/arm-linux-ar cru
   RANLIB = /opt/miyoo/usr/bin/arm-linux-ranlib
   DEFINES += -DDINGUX -fomit-frame-pointer -ffast-math -march=armv5te -mtune=arm926ej-s -fPIC
   DEFINES += -ffunction-sections -fdata-sections -DDEFAULT_PERF_TUNER -DREDUCE_MEMORY_USAGE -DUNCACHED_PLUGINS
   LDFLAGS += -shared -Wl,--gc-sections -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
   USE_VORBIS = 0
   USE_THEORADEC = 0
   USE_TREMOR = 1
   USE_LIBCO  = 0
   USE_CURL = 0
   USE_MT32EMU = 0
   USE_HIGHRES := 0

# MIYOOMINI
else ifeq ($(platform), miyoomini)
   TARGET := $(TARGET_NAME)_libretro.so
   CC = /usr/bin/arm-linux-gnueabihf-gcc
   CXX = /usr/bin/arm-linux-gnueabihf-g++
   LD = /usr/bin/arm-linux-gnueabihf-g++
   AR = /usr/bin/arm-linux-gnueabihf-ar cru
   RANLIB = /usr/bin/arm-linux-gnueabihf-ranlib
   DEFINES += -fomit-frame-pointer -ffast-math -marm -march=armv7ve+simd -mtune=cortex-a7 -fPIC
   DEFINES += -ffunction-sections -fdata-sections -DDEFAULT_PERF_TUNER -DREDUCE_MEMORY_USAGE -DUNCACHED_PLUGINS
   LDFLAGS += -shared -Wl,--gc-sections -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
   USE_VORBIS = 0
   USE_THEORADEC = 0
   USE_TREMOR = 1
   USE_LIBCO  = 0
   USE_MT32EMU = 0
   USE_HIGHRES = 0

# ARM v7
else ifneq (,$(findstring armv7,$(platform)))
   TARGET := $(TARGET_NAME)_libretro.so
   DEFINES += -fPIC -D_ARM_ASSEM_ -DUSE_CXX11 -marm -DARM -DDEFAULT_PERF_TUNER
   LDFLAGS += -shared -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
   USE_VORBIS = 0
   USE_THEORADEC = 0
   USE_TREMOR = 1
   USE_MT32EMU = 0
   CXXFLAGS := -std=c++11
ifneq (,$(findstring cortexa8,$(platform)))
   DEFINES += -marm -mcpu=cortex-a8
else ifneq (,$(findstring cortexa9,$(platform)))
   DEFINES += -marm -mcpu=cortex-a9
endif
ifneq (,$(findstring neon,$(platform)))
   DEFINES += -mfpu=neon
   HAVE_NEON = 1
endif
ifneq (,$(findstring softfloat,$(platform)))
   DEFINES += -mfloat-abi=softfp
else ifneq (,$(findstring hardfloat,$(platform)))
   DEFINES += -mfloat-abi=hard
endif

# ARM v8
else ifneq (,$(findstring armv8,$(platform)))
   TARGET := $(TARGET_NAME)_libretro.so
   DEFINES += -fPIC -D_ARM_ASSEM_ -DARM -marm -mtune=cortex-a53 -mfpu=neon-fp-armv8 -mfloat-abi=hard -march=armv8-a+crc -DDEFAULT_PERF_TUNER
   LDFLAGS += -shared -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
   CFLAGS   += -fPIC
   HAVE_NEON = 1

# Odroid Go Advance
else ifneq (,$(findstring oga_a35_neon_hardfloat,$(platform)))
   TARGET := $(TARGET_NAME)_libretro.so
   DEFINES += -fPIC -D_ARM_ASSEM_ -DARM -marm -mtune=cortex-a35 -mfpu=neon-fp-armv8 -mfloat-abi=hard -march=armv8-a+crc
   LDFLAGS += -shared -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
   USE_VORBIS = 0
   USE_THEORADEC = 0
   USE_TREMOR = 1
   USE_MT32EMU = 0
   HAVE_NEON = 1

# Emscripten
else ifeq ($(platform), emscripten)
   TARGET := $(TARGET_NAME)_libretro_$(platform).bc
   AR_ALONE := emar
   AR := emar rcs
   DEFINES += -DEMSCRIPTEN -DUSE_CXX11
   CXXFLAGS += -std=c++11
   STATIC_LINKING = 1
   USE_LIBCO  = 0
   USE_CLOUD = 0

# Windows MSVC 2017 all architectures
else ifneq (,$(findstring windows_msvc2017,$(platform)))

    NO_GCC := 1
    CFLAGS += -DNOMINMAX
    CXXFLAGS += -DNOMINMAX
    WINDOWS_VERSION = 1

   PlatformSuffix = $(subst windows_msvc2017_,,$(platform))
   ifneq (,$(findstring desktop,$(PlatformSuffix)))
      WinPartition = desktop
      MSVC2017CompileFlags = -DWINAPI_FAMILY=WINAPI_FAMILY_DESKTOP_APP -FS
      LDFLAGS += -MANIFEST -LTCG:incremental -NXCOMPAT -DYNAMICBASE -DEBUG -OPT:REF -INCREMENTAL:NO -SUBSYSTEM:WINDOWS -MANIFESTUAC:"level='asInvoker' uiAccess='false'" -OPT:ICF -ERRORREPORT:PROMPT -NOLOGO -TLBID:1
      LIBS += kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib

=== backends/platform/n64/Makefile ===

TOOLPATH = /opt/mips64-toolchain
LIBN64PATH = $(TOOLPATH)/hkz-libn64/
GCCN64PREFIX = $(TOOLPATH)/bin/mips64-

srcdir = ../../..
VPATH = $(srcdir)

CC = $(GCCN64PREFIX)gcc
CXX = $(GCCN64PREFIX)g++
AS = $(GCCN64PREFIX)as
LD = $(GCCN64PREFIX)g++
OBJCOPY = $(GCCN64PREFIX)objcopy
AR = $(GCCN64PREFIX)ar cru
RANLIB = $(GCCN64PREFIX)ranlib

DEFINES += -D__N64__ -DLIMIT_FPS -DNONSTANDARD_PORT -DDISABLE_DEFAULT_SAVEFILEMANAGER -DDISABLE_TEXT_CONSOLE -DDISABLE_COMMAND_LINE -DDISABLE_FANCY_THEMES -DDISABLE_DOSBOX_OPL -DENABLE_VKEYBD -DUSE_ZLIB
LIBS += -lpakfs -lframfs -ln64 -ln64utils -lromfs

#DEFINES += -D_ENABLE_DEBUG_

USE_LIBMAD=0
USE_LIBOGG=1

ifeq ($(USE_LIBMAD),1)
DEFINES += -DUSE_MAD
LIBS	+= -lmad
endif
ifeq ($(USE_LIBOGG), 1)
DEFINES += -DUSE_VORBIS -DUSE_TREMOR
LIBS	+= -lvorbisidec
endif

LIBS += -lm -lstdc++ -lc -lgcc -lz -lnosys

CXXFLAGS = -g -mno-extern-sdata -O2 --param max-inline-insns-auto=20 -fomit-frame-pointer -march=vr4300 -mtune=vr4300 -mhard-float -fno-rtti -fno-exceptions -Wno-multichar -Wshadow -I$(LIBN64PATH) -I$(TOOLPATH)/include -I./ -I$(srcdir) -I$(srcdir)/engines
LDFLAGS = -g -march=vr4300 -mtune=vr4300 -nodefaultlibs -nostartfiles -mno-crt0 -L$(LIBN64PATH) -L$(TOOLPATH)/lib $(LIBS) -T n64ld_cpp.x -Xlinker -Map -Xlinker scummvm.map

TARGET = scummvm
DEPDIR = .deps
CXX_UPDATE_DEP_FLAG = -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP
MKDIR = mkdir -p
RM = rm -f
RM_REC = rm -rf

VERBOSE_BUILD=1
USE_RGB_COLOR=0

ENABLED=STATIC_PLUGIN

#ENABLE_SCUMM = $(ENABLED)
#ENABLE_SCI = $(ENABLED)
#ENABLE_GOB = $(ENABLED)
#ENABLE_PARALLACTION = $(ENABLED)
#ENABLE_KYRA = $(ENABLED)
#ENABLE_AGOS = $(ENABLED)
#ENABLE_AGI = $(ENABLED)
#ENABLE_QUEEN = $(ENABLED)
#ENABLE_MADE = $(ENABLED)
#ENABLE_SAGA = $(ENABLED)
#ENABLE_TEENAGENT = $(ENABLED)
#ENABLE_DRACI = $(ENABLED)

OBJS :=	nintendo64.o osys_n64_base.o osys_n64_events.o osys_n64_utilities.o pakfs_save_manager.o framfs_save_manager.o

BACKEND := n64

include $(srcdir)/Makefile.common

MODULE_DIRS += ./

all: $(TARGET).v64

$(TARGET).v64: $(TARGET).bin ROMFS.img bootcode
	cat bootcode $(TARGET).bin ROMFS.img > $(TARGET).v64
	./pad_rom.sh $(TARGET).v64

ROMFS.img:
	genromfs -f ./ROMFS.img -d ./ROMFS -V romtest

$(TARGET).elf: $(OBJS)
	+$(LD) -o $(TARGET).elf $(OBJS) $(LDFLAGS)

$(TARGET).bin : $(TARGET).elf
	$(OBJCOPY) $(TARGET).elf $(TARGET).bin -O binary

spotless : distclean
	$(RM) *.bin *.elf *.v64 *.img *.bak *.tmp *.map

send: $(TARGET).v64
	sudo ucon64 --xv64  $(TARGET).v64

=== devtools/create_project/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(create_project)


set(SOURCE_FILES
	../cmake.cpp
	../cmake.h
	../codeblocks.cpp
	../codeblocks.h
	../create_project.cpp
	../create_project.h
	../msbuild.cpp
	../msbuild.h
	../msvc.cpp
	../msvc.h
	../xcode.cpp
	../xcode.h
    )

add_executable(create_project ${SOURCE_FILES})
if (WIN32)
    target_link_libraries(create_project rpcrt4 advapi32)
endif ()
set_property(TARGET create_project PROPERTY CXX_STANDARD 11)
set_property(TARGET create_project PROPERTY CXX_STANDARD_REQUIRED ON)

=== debian/changelog ===
scummvm (2.8.0+dfsg-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:59:36 +1100

scummvm (2.8.0+dfsg-1build4) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:23:36 +0000

scummvm (2.8.0+dfsg-1build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:38:16 +0000

scummvm (2.8.0+dfsg-1build2) noble; urgency=medium

  * No-change rebuild against libflac12t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 14:59:09 +0000

scummvm (2.8.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:12:32 +0000

scummvm (2.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Build with -fexcess-precision=fast to correctly fix the test failures
    on i386 and s390x (see https://gcc.gnu.org/gcc-13/changes.html for
    details). Thanks to Adrian Bunk for the patch!
  * Update Lintian overrides.

 -- Stephen Kitt <skitt@debian.org>  Sun, 31 Dec 2023 16:12:28 +0100

=== debian/control ===
Source: scummvm
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: David Weinehall <tao@debian.org>
          ,Moritz Muehlenhoff <jmm@debian.org>
          ,Dmitry Smirnov <onlyjob@debian.org>
          ,Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 13)
              ,fonts-freefont-ttf
              ,fonts-mplus
              ,liba52-dev
              ,libasound2-dev [linux-any]
              ,libcurl4-gnutls-dev
              ,libfaad-dev
              ,libflac-dev
              ,libfluidsynth-dev
              ,libfreetype-dev
              ,libfribidi-dev
              ,libgif-dev
              ,libgl-dev
              ,libglew-dev
              ,libgtk-3-dev
              ,libieee1284-3-dev [!hurd-any]
              ,libjpeg-dev
              ,libmad0-dev
              ,libmikmod-dev
              ,libmpeg2-4-dev
              ,libpng-dev
              ,libsdl2-dev | libsdl1.2-dev
              ,libsdl2-net-dev | libsdl-net1.2-dev
              ,libsonivox-dev
              ,libspeechd-dev
              ,libtheora-dev
              ,libvorbis-dev
              ,libvpx-dev
              ,libz-dev
              ,nasm [any-i386]
              ,pkgconf
              ,python3:any
              ,zip
Standards-Version: 4.6.2
Homepage: http://www.scummvm.org
Vcs-Git: https://salsa.debian.org/games-team/scummvm.git
Vcs-Browser: https://salsa.debian.org/games-team/scummvm
Rules-Requires-Root: no

Package: scummvm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, scummvm-data (= ${source:Version})
Suggests: fluidsynth | timidity
         ,beneath-a-steel-sky
         ,drascula
         ,flight-of-the-amazon-queen
         ,lure-of-the-temptress
Breaks: drascula (<< 1.0+ds4)
Description: engine for several graphical adventure games
 ScummVM is a `virtual machine' for several classic graphical
 point-and-click adventure games.  It is designed to run Adventure Soft's
 Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
 based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
 system.  SCUMM is used for many games, including Monkey Island,
 Day of the Tentacle, Sam and Max and more.  See the official compatibility
 list at <http://www.scummvm.org/compatibility.php> for a full list
 of supported games.
 .
 The game data of four games compatible with ScummVM is included in Debian.
 These are:
 .
  - Beneath a Steel Sky                 (package: beneath-a-steel-sky)
  - Drascula: The Vampire Strikes Back  (package: drascula)
  - Flight of the Amazon Queen          (package: flight-of-the-amazon-queen)
  - Lure of the Temptress               (package: lure-of-the-temptress)
 .
 To actually make use of ScummVM, you'll have to install one of these, or
 obtain the proprietary game data for another supported game from somewhere
 else.

Package: scummvm-data
Architecture: all
Multi-Arch: foreign
Built-Using: ${my:Built-Using}
Depends: ${misc:Depends}
Description: engine for several graphical adventure games (data files)
 ScummVM is a `virtual machine' for several classic graphical
 point-and-click adventure games.  It is designed to run Adventure Soft's
 Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
 based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
 system.  SCUMM is used for many games, including Monkey Island,
 Day of the Tentacle, Sam and Max and more.  See the official compatibility
 list at <http://www.scummvm.org/compatibility.php> for a full list
 of supported games.
 .
 The game data of four games compatible with ScummVM is included in Debian.
 These are:
 .
  - Beneath a Steel Sky                 (package: beneath-a-steel-sky)
  - Drascula: The Vampire Strikes Back  (package: drascula)
  - Flight of the Amazon Queen          (package: flight-of-the-amazon-queen)
  - Lure of the Temptress               (package: lure-of-the-temptress)
 .
 To actually make use of ScummVM, you'll have to install one of these, or
 obtain the proprietary game data for another supported game from somewhere
 else.
 .
 These packages provides data files needed to run some engines supported by
 ScummVM.

## scummvm 2.8.0+dfsg-1build5trisquel1

=== debian/changelog ===
scummvm (2.8.0+dfsg-1build5trisquel1) ecne; urgency=medium

  * Removed references to non-free software, fixes 7344

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 18 Oct 2024 10:41:39 +0000

=== debian/control ===
Source: scummvm
Section: games
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: David Weinehall <tao@debian.org>
          ,Moritz Muehlenhoff <jmm@debian.org>
          ,Dmitry Smirnov <onlyjob@debian.org>
          ,Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 13)
              ,fonts-freefont-ttf
              ,fonts-mplus
              ,liba52-dev
              ,libasound2-dev [linux-any]
              ,libcurl4-gnutls-dev
              ,libfaad-dev
              ,libflac-dev
              ,libfluidsynth-dev
              ,libfreetype-dev
              ,libfribidi-dev
              ,libgif-dev
              ,libgl-dev
              ,libglew-dev
              ,libgtk-3-dev
              ,libieee1284-3-dev [!hurd-any]
              ,libjpeg-dev
              ,libmad0-dev
              ,libmikmod-dev
              ,libmpeg2-4-dev
              ,libpng-dev
              ,libsdl2-dev | libsdl1.2-dev
              ,libsdl2-net-dev | libsdl-net1.2-dev
              ,libsonivox-dev
              ,libspeechd-dev
              ,libtheora-dev
              ,libvorbis-dev
              ,libvpx-dev
              ,libz-dev
              ,nasm [any-i386]
              ,pkgconf
              ,python3:any
              ,zip
Standards-Version: 4.6.2
Homepage: http://www.scummvm.org
Vcs-Git: https://salsa.debian.org/games-team/scummvm.git
Vcs-Browser: https://salsa.debian.org/games-team/scummvm
Rules-Requires-Root: no

Package: scummvm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, scummvm-data (= ${source:Version})
Suggests: fluidsynth | timidity
         ,beneath-a-steel-sky
         ,drascula
         ,flight-of-the-amazon-queen
         ,lure-of-the-temptress
Breaks: drascula (<< 1.0+ds4)
Description: engine for several graphical adventure games
 ScummVM is a virtual machine for several classic graphical
 point-and-click adventure games like beneath-a-steel-sky
 and flight-of-the-amazon-queen.

Package: scummvm-data
Architecture: all
Multi-Arch: foreign
Built-Using: ${my:Built-Using}
Depends: ${misc:Depends}
Description: engine for several graphical adventure games (data files)
 ScummVM is a virtual machine for several classic graphical
 point-and-click adventure games like beneath-a-steel-sky
 and flight-of-the-amazon-queen.
 .
 These packages provides data files needed to run some engines supported by

## scummvm 2.8.1+dfsg

=== debian/changelog ===
scummvm (2.8.1+dfsg-2) unstable; urgency=medium

  * Apply upstream patch to fix the build with freetype 2.13.3 and
    later. Closes: #1082572.

 -- Stephen Kitt <skitt@debian.org>  Tue, 01 Oct 2024 09:11:47 +0200

scummvm (2.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 04 Apr 2024 07:40:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: scummvm
 Section: games
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: David Weinehall <tao@debian.org>
           ,Moritz Muehlenhoff <jmm@debian.org>
           ,Dmitry Smirnov <onlyjob@debian.org>
@@ -56,9 +55,26 @@
          ,lure-of-the-temptress
 Breaks: drascula (<< 1.0+ds4)
 Description: engine for several graphical adventure games
- ScummVM is a virtual machine for several classic graphical
- point-and-click adventure games like beneath-a-steel-sky
- and flight-of-the-amazon-queen.
+ ScummVM is a `virtual machine' for several classic graphical
+ point-and-click adventure games.  It is designed to run Adventure Soft's
+ Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
+ based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
+ system.  SCUMM is used for many games, including Monkey Island,
+ Day of the Tentacle, Sam and Max and more.  See the official compatibility
+ list at <http://www.scummvm.org/compatibility.php> for a full list
+ of supported games.
+ .
+ The game data of four games compatible with ScummVM is included in Debian.
+ These are:
+ .
+  - Beneath a Steel Sky                 (package: beneath-a-steel-sky)
+  - Drascula: The Vampire Strikes Back  (package: drascula)
+  - Flight of the Amazon Queen          (package: flight-of-the-amazon-queen)
+  - Lure of the Temptress               (package: lure-of-the-temptress)
+ .
+ To actually make use of ScummVM, you'll have to install one of these, or
+ obtain the proprietary game data for another supported game from somewhere
+ else.
 
 Package: scummvm-data
 Architecture: all
@@ -66,8 +82,26 @@
 Built-Using: ${my:Built-Using}
 Depends: ${misc:Depends}
 Description: engine for several graphical adventure games (data files)
- ScummVM is a virtual machine for several classic graphical
- point-and-click adventure games like beneath-a-steel-sky
- and flight-of-the-amazon-queen.
+ ScummVM is a `virtual machine' for several classic graphical
+ point-and-click adventure games.  It is designed to run Adventure Soft's
+ Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
+ based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
+ system.  SCUMM is used for many games, including Monkey Island,
+ Day of the Tentacle, Sam and Max and more.  See the official compatibility
+ list at <http://www.scummvm.org/compatibility.php> for a full list
+ of supported games.
+ .
+ The game data of four games compatible with ScummVM is included in Debian.
+ These are:
+ .
+  - Beneath a Steel Sky                 (package: beneath-a-steel-sky)
+  - Drascula: The Vampire Strikes Back  (package: drascula)
+  - Flight of the Amazon Queen          (package: flight-of-the-amazon-queen)
+  - Lure of the Temptress               (package: lure-of-the-temptress)
+ .
+ To actually make use of ScummVM, you'll have to install one of these, or
+ obtain the proprietary game data for another supported game from somewhere
+ else.
  .
  These packages provides data files needed to run some engines supported by
+ ScummVM.

## scummvm 2.9.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# #827145:
# When building for i386 on an amd64 system/kernel, the host
# architecture is misdetected as x86_64, which causes USE_NASM to be
# unset and prevents the object files hq2x_i386.o and hq3x_i386.o from
# being built.
# This is fixed by passing the host architecture explicitely to
# configure.
include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	HOST := --host=$(DEB_HOST_GNU_TYPE)
else
	HOST :=
endif

# disable excess precision on i386/m68k/s390x
export DEB_CXXFLAGS_MAINT_APPEND += -fexcess-precision=fast

%:
	dh $@

ifneq (linux,$(DEB_HOST_ARCH_OS))
OPTARGS:= --disable-alsa
endif

override_dh_auto_clean:
	##718164 "FTBFS: Makefile:87: *** You need to run ./configure before you can run make".
	[ -f config.mk ] || touch config.mk
	dh_auto_clean

override_dh_auto_configure:
	./configure \
            $(HOST) \
            --datadir=/usr/share/scummvm \
            --bindir=/usr/games \
            --disable-eventrecorder \
            --enable-release \
            --enable-verbose-build \
            --enable-opl2lpt \
            --prefix=/usr $(OPTARGS) \
            --disable-gold \
            --enable-engine=monkey4

execute_before_dh_auto_build:
## replacing bundled fonts...
#	for F in gui/themes/*/Free*.ttf; do cp -v /usr/share/fonts/truetype/freefont/$${F##*/} $${F%/*}; done
#	for F in gui/themes/*/mplus*.ttf; do cp -v /usr/share/fonts/truetype/mplus/$${F##*/} $${F%/*}; done
## re-build themes
	cd gui/themes && python3 ./scummtheme.py makeall

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_gencontrol:
	dh_gencontrol -- -Vmy:Built-Using="$(shell dpkg-query --show -f '$${source:Package} (=$${source:Version}),' fonts-freefont-ttf fonts-mplus)"

override_dh_dwz:
	-dh_dwz -v

## scummvm 2.9.0+dfsg

=== doc/docportal/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile requirements.in
#
alabaster==1.0.0
    # via sphinx
babel==2.16.0
    # via sphinx
certifi==2024.8.30
    # via requests
charset-normalizer==3.4.0
    # via requests
colorama==0.4.6
    # via sphinx
docutils==0.21.2
    # via
    #   sphinx
    #   sphinx-mdinclude
    #   sphinx-rtd-theme
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.4
    # via sphinx
markupsafe==3.0.2
    # via jinja2
mistune==3.0.2
    # via sphinx-mdinclude
packaging==24.2
    # via sphinx
pygments==2.18.0
    # via
    #   sphinx
    #   sphinx-mdinclude
requests==2.32.3
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==8.1.3
    # via
    #   -r requirements.in
    #   sphinx-design
    #   sphinx-mdinclude
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
sphinx-design==0.6.1
    # via -r requirements.in
sphinx-mdinclude==0.6.2
    # via -r requirements.in
sphinx-rtd-theme==3.0.2
    # via -r requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
urllib3==2.2.3
    # via requests

=== backends/platform/dc/Makefile ===

ronindir = /usr/local/ronin

DYNAMIC_MODULES = 1

srcdir = ../../..
VPATH = $(srcdir)

CC      = sh-elf-gcc -ml -m4-single-only
CXX     = sh-elf-g++ -ml -m4-single-only
LD      = $(CXX)
CXXFLAGS= -O3 -Wno-multichar -funroll-loops -fschedule-insns2 -fomit-frame-pointer -fdelete-null-pointer-checks -fno-exceptions
DEFINES = -D__DC__ -DNONSTANDARD_PORT -DUSE_MAD -DUSE_ZLIB -DDISABLE_DEFAULT_SAVEFILEMANAGER -DDISABLE_TEXT_CONSOLE -DDISABLE_COMMAND_LINE -DUSE_RGB_COLOR
# For release builds:
#DEFINES += -DNOSERIAL
LDFLAGS = -Wl,-Ttext,0x8c010000 -nostartfiles $(ronindir)/lib/crt0.o
INCLUDES= -I./ -I$(srcdir) -I$(ronindir)/include/ -I$(srcdir)/engines
LIBS	= -L$(ronindir)/lib -lmad -lronin -lz -lm
# For release builds:
#LIBS	= -L$(ronindir)/lib -lmad -lronin-noserial -lz -lm
EXECUTABLE = scummvm.elf
DEPDIR = .deps
CXX_UPDATE_DEP_FLAG = -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP
PLUGIN_PREFIX =
PLUGIN_SUFFIX = .plg
PLUGIN_EXTRA_DEPS = plugin.x plugin.syms scummvm.elf plugin_head.o
PLUGIN_LDFLAGS = -nostartfiles -Wl,-q,-Tplugin.x,--just-symbols,scummvm.elf,--retain-symbols-file,plugin.syms -L$(ronindir)/lib plugin_head.o
MKDIR = mkdir -p
RM = rm -f
RM_REC = rm -rf
AR = sh-elf-ar cru
RANLIB = sh-elf-ranlib
USE_RGB_COLOR = true

ifdef DYNAMIC_MODULES
DEFINES += -DDYNAMIC_MODULES
PRE_OBJS_FLAGS = -Wl,--whole-archive
POST_OBJS_FLAGS = -Wl,--no-whole-archive
ENABLED=DYNAMIC_PLUGIN
else
ENABLED=STATIC_PLUGIN
endif

ENABLE_SCUMM = $(ENABLED)
# Not meaningful anymore (bug #6008)
#ENABLE_SCUMM_7_8 = $(ENABLED)
ENABLE_HE = $(ENABLED)
ENABLE_AGI = $(ENABLED)
ENABLE_AGOS = $(ENABLED)
ENABLE_CINE = $(ENABLED)
ENABLE_CRUISE = $(ENABLED)
ENABLE_DRASCULA = $(ENABLED)
ENABLE_GOB = $(ENABLED)
ENABLE_GROOVIE = $(ENABLED)
ENABLE_IHNM = $(ENABLED)
ENABLE_KYRA = $(ENABLED)
ENABLE_LURE = $(ENABLED)
ENABLE_M4 = $(ENABLED)
ENABLE_MADE = $(ENABLED)
ENABLE_PARALLACTION = $(ENABLED)
ENABLE_QUEEN = $(ENABLED)
ENABLE_SAGA = $(ENABLED)
ENABLE_SKY = $(ENABLED)
ENABLE_SWORD1 = $(ENABLED)
ENABLE_SWORD2 = $(ENABLED)
ENABLE_TOUCHE = $(ENABLED)
ENABLE_TUCKER = $(ENABLED)

OBJS :=	dcmain.o time.o display.o audio.o input.o selector.o icon.o \
	label.o vmsave.o softkbd.o dcloader.o cache.o dc-fs.o plugins.o \
	dcutils.o

MODULE_DIRS += ./

BACKEND := dc

include $(srcdir)/Makefile.common

scummvm.bin : scummvm.elf
	sh-elf-objcopy -S -R .stack -O binary $< $@

SCUMMVM.BIN : scummvm.bin
	scramble $< $@

plugin_dist : plugins
	for p in $(PLUGINS); do \
	  t="`basename \"$$p\" | LC_CTYPE=C tr '[:lower:]' '[:upper:]'`"; \
	  sh-elf-strip -g -o "$$t" "$$p"; \
	  ./check_plugin_symbols "$$t"; \
	done

dist : SCUMMVM.BIN plugin_dist

spotless : distclean
	$(RM) SCUMMVM.BIN scummvm.bin *.PLG

=== devtools/create_project/cmake/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.2)
+cmake_minimum_required(VERSION 3.13)
 project(create_project)

=== debian/changelog ===
scummvm (2.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release, merging unsigned.patch.
  * Add libmpcdec for Musepack support.
  * Switch from libmikmod to libopenmpt for MO3 support.

 -- Stephen Kitt <skitt@debian.org>  Wed, 22 Jan 2025 18:35:06 +0100

=== debian/control ===
--- 
+++ 
@@ -24,8 +24,9 @@
               ,libieee1284-3-dev [!hurd-any]
               ,libjpeg-dev
               ,libmad0-dev
-              ,libmikmod-dev
+              ,libmpcdec-dev
               ,libmpeg2-4-dev
+              ,libopenmpt-dev
               ,libpng-dev
               ,libsdl2-dev | libsdl1.2-dev
               ,libsdl2-net-dev | libsdl-net1.2-dev

## scummvm 2.9.1%2Bdfsg

=== backends/platform/libretro/Makefile ===
--- 
+++ 
@@ -45,6 +45,8 @@
    LDFLAGS += -shared -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
    CFLAGS  += -fPIC -mcpu=cortex-a53 -mtune=cortex-a53 -fomit-frame-pointer -ffast-math
    CXXFLAGS = $(CFLAGS) -frtti -std=c++11
+   HAVE_OPENGLES2 :=1
+   HAVE_NEON := 1
 
 # Raspberry Pi 4 (64 bit)
 else ifeq ($(platform), rpi4_64)
@@ -53,6 +55,8 @@
    LDFLAGS += -shared -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
    CFLAGS += -fPIC -mcpu=cortex-a72 -mtune=cortex-a72 -fomit-frame-pointer -ffast-math
    CXXFLAGS = $(CFLAGS) -frtti -std=c++11
+   HAVE_OPENGLES2 := 1
+   HAVE_NEON := 1
 
 # iOS
 else ifneq (,$(findstring ios,$(platform)))
@@ -60,6 +64,8 @@
    DEFINES += -fPIC -DHAVE_POSIX_MEMALIGN=1 -DIOS
    LDFLAGS += -dynamiclib -fPIC
    MINVERSION :=
+   HAVE_OPENGLES2 := 1
+   HAVE_NEON := 1
 
 ifeq ($(IOSSDK),)
    IOSSDK := $(shell xcodebuild -version -sdk iphoneos Path)
@@ -68,8 +74,9 @@
    CC        = cc -arch arm64 -isysroot $(IOSSDK)
    CXX       = c++ -arch arm64 -isysroot $(IOSSDK)
 else
-   CC       = cc -arch armv7 -isysroot $(IOSSDK) -marm
+   CC       = cc -arch armv7 -isysroot $(IOSSDK)
    CXX      = c++ -arch armv7 -isysroot $(IOSSDK)
+   DEFINES  = -marm -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon
 endif
 
 ifeq ($(platform),$(filter $(platform),ios9 ios-arm64))
@@ -85,6 +92,8 @@
    TARGET := $(TARGET_NAME)_libretro_tvos.$(EXT)
    DEFINES += -fPIC -DHAVE_POSIX_MEMALIGN=1 -DIOS
    LDFLAGS += -dynamiclib -fPIC
+   HAVE_OPENGLES2 := 1
+   HAVE_NEON := 1
 ifeq ($(IOSSDK),)
    IOSSDK := $(shell xcodebuild -version -sdk appletvos Path)
 endif
@@ -95,29 +104,31 @@
 else ifeq ($(platform), qnx)
    TARGET  := $(TARGET_NAME)_libretro_$(platform).so
    DEFINES += -fPIC -DSYSTEM_NOT_SUPPORTING_D_TYPE -DDEFAULT_PERF_TUNER
+   DEFINES += -D__BLACKBERRY_QNX__ -marm -mcpu=cortex-a9 -mtune=cortex-a9 -mfpu=neon -mfloat-abi=softfp
    LDFLAGS += -shared -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
    CC = qcc -Vgcc_ntoarmv7le
    CXX = QCC -Vgcc_ntoarmv7le
    LD = QCC -Vgcc_ntoarmv7le
    AR = qcc -Vgcc_ntoarmv7le -A
    RANLIB="${QNX_HOST}/usr/bin/ntoarmv7-ranlib"
+   HAVE_OPENGLES2 := 1.
+   HAVE_NEON := 1
 
 # Genode
 else ifeq ($(platform), genode)
-   TARGET  := libretro.so
-   DEFINES += -fPIC -DSYSTEM_NOT_SUPPORTING_D_TYPE -DFRONTEND_SUPPORTS_RGB565 -DDEFAULT_PERF_TUNER
+   TARGET  := $(TARGET_NAME)_libretro_$(platform).so
+   DEFINES += -fPIC -DSYSTEM_NOT_SUPPORTING_D_TYPE -DDEFAULT_PERF_TUNER
    C_PKGS   = libc
    CXX_PKGS = stdcxx genode-base
    CFLAGS   += -D__GENODE__ $(shell pkg-config --cflags $(C_PKGS))
    CXXFLAGS += -D__GENODE__ $(shell pkg-config --cflags $(CXX_PKGS))
-
    LIBS += $(shell pkg-config --libs $(C_PKGS) $(CXX_PKGS) genode-lib)
-
    CC  = $(shell pkg-config genode-base --variable=cc)
    CXX = $(shell pkg-config genode-base --variable=cxx)
    LD  = $(shell pkg-config genode-base --variable=ld)
    AR  = $(shell pkg-config genode-base --variable=ar) rcs
    RANLIB = genode-x86-ranlib
+   HAVE_OPENGL := 1
 
 # Lightweight PS3 Homebrew SDK
 else ifneq (,$(filter $(platform), ps3 psl1ght))
@@ -128,6 +139,7 @@
    DEFINES := -DPLAYSTATION3 -D__PS3__ -DRETRO_IS_BIG_ENDIAN=1 -DRETRO_IS_LITTLE_ENDIAN=0 -DWORDS_BIGENDIAN=1 -mcpu=cell -mno-fp-in-toc -I$(PS3DEV)/ppu/include
    ifeq ($(platform), psl1ght)
       DEFINES += -D__PSL1GHT__
+      HAVE_OPENGL := 1
    endif
    STATIC_LINKING = 1
 
@@ -149,11 +161,13 @@
     TARGET := $(TARGET_NAME)_libretro_$(platform).$(EXT)
     AR = $(DEVKITPRO)/devkitA64/aarch64-none-elf/bin/ar$(EXE_EXT) rcs
     DEFINES := -DSWITCH=1 -U__linux__ -U__linux
-    DEFINES   += -g -O3 -fPIE -I$(LIBNX)/include/ -ffunction-sections -fdata-sections -ftls-model=local-exec
+    DEFINES   += -g -O3 -fPIE -I$(LIBNX)/include/ -ffunction-sections -fdata-sections -ftls-model=local-exec -ffast-math -mcpu=cortex-a57+crc+fp+simd -march=armv8-a -mtune=cortex-a57 -mtp=soft
     DEFINES += $(INCDIRS)
-    DEFINES += -D__SWITCH__ -DHAVE_LIBNX -march=armv8-a -mtune=cortex-a57 -mtp=soft
+    DEFINES += -D__SWITCH__ -DHAVE_LIBNX -D__arm64__ -D__ARM_NEON__
     CXXFLAGS := $(ASFLAGS) -std=gnu++11 -fpermissive
     STATIC_LINKING = 1
+    HAVE_OPENGL := 1
+    HAVE_NEON := 1
 
 # Nintendo Wii U
 else ifeq ($(platform), wiiu)
@@ -196,12 +210,14 @@
    CC = arm-vita-eabi-gcc$(EXE_EXT)
    CXX = arm-vita-eabi-g++$(EXE_EXT)
    AR = arm-vita-eabi-ar$(EXE_EXT) rcs
-   DEFINES += -march=armv7-a -mtune=cortex-a9 -mfpu=neon -mfloat-abi=hard
+   DEFINES += -march=armv7-a -mtune=cortex-a9 -mfpu=neon -mfloat-abi=hard -mfpu=neon -marm
    DEFINES += -fno-optimize-sibling-calls -mlong-calls -mword-relocations
    DEFINES += -DVITA -DREDUCE_MEMORY_USAGE -DUNCACHED_PLUGINS -DPSP2 -DSYSTEM_NOT_SUPPORTING_D_TYPE
    USE_LIBCO = 0
    LITE := 1
    STATIC_LINKING = 1
+   HAVE_OPENGLES2 := 1
+   HAVE_NEON := 1
 
 # GCW0
 else ifeq ($(platform), gcw0)
@@ -212,10 +228,12 @@
    AR = /opt/gcw0-toolchain/usr/bin/mipsel-linux-ar cru
    RANLIB = /opt/gcw0-toolchain/usr/bin/mipsel-linux-ranlib
    DEFINES += -DDINGUX -fomit-frame-pointer -ffast-math -march=mips32 -mtune=mips32r2 -mhard-float -fPIC
+   DEFINES += -DPRId64 #Workaround to avoid compilation error in retro_common_api.h. Root cause to be investigated.
    DEFINES += -ffunction-sections -fdata-sections -DDEFAULT_PERF_TUNER
    LDFLAGS += -shared -Wl,--gc-sections -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
    CFLAGS += -std=gnu99
    CXXFLAGS += -std=c++11
+   HAVE_OPENGLES2 := 1
    USE_VORBIS = 0
    USE_THEORADEC = 0
    USE_TREMOR = 1
@@ -278,13 +296,14 @@
 endif
 ifneq (,$(findstring neon,$(platform)))
    DEFINES += -mfpu=neon
-   HAVE_NEON = 1
+   HAVE_NEON := 1
 endif
 ifneq (,$(findstring softfloat,$(platform)))
    DEFINES += -mfloat-abi=softfp
 else ifneq (,$(findstring hardfloat,$(platform)))
    DEFINES += -mfloat-abi=hard
 endif
+   HAVE_OPENGLES2 := 1
 
 # ARM v8
 else ifneq (,$(findstring armv8,$(platform)))
@@ -292,7 +311,8 @@
    DEFINES += -fPIC -D_ARM_ASSEM_ -DARM -marm -mtune=cortex-a53 -mfpu=neon-fp-armv8 -mfloat-abi=hard -march=armv8-a+crc -DDEFAULT_PERF_TUNER
    LDFLAGS += -shared -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
    CFLAGS   += -fPIC
-   HAVE_NEON = 1
+   HAVE_NEON := 1
+   HAVE_OPENGLES2 := 1
 
 # Odroid Go Advance
 else ifneq (,$(findstring oga_a35_neon_hardfloat,$(platform)))
@@ -303,7 +323,8 @@
    USE_THEORADEC = 0
    USE_TREMOR = 1
    USE_MT32EMU = 0
-   HAVE_NEON = 1
+   HAVE_NEON := 1
+   HAVE_OPENGLES2 := 1
 
 # Emscripten
 else ifeq ($(platform), emscripten)
@@ -312,21 +333,3 @@
    AR := emar rcs
    DEFINES += -DEMSCRIPTEN -DUSE_CXX11
    CXXFLAGS += -std=c++11
-   STATIC_LINKING = 1
-   USE_LIBCO  = 0
-   USE_CLOUD = 0
-
-# Windows MSVC 2017 all architectures
-else ifneq (,$(findstring windows_msvc2017,$(platform)))
-
-    NO_GCC := 1
-    CFLAGS += -DNOMINMAX
-    CXXFLAGS += -DNOMINMAX
-    WINDOWS_VERSION = 1
-
-   PlatformSuffix = $(subst windows_msvc2017_,,$(platform))
-   ifneq (,$(findstring desktop,$(PlatformSuffix)))
-      WinPartition = desktop
-      MSVC2017CompileFlags = -DWINAPI_FAMILY=WINAPI_FAMILY_DESKTOP_APP -FS
-      LDFLAGS += -MANIFEST -LTCG:incremental -NXCOMPAT -DYNAMICBASE -DEBUG -OPT:REF -INCREMENTAL:NO -SUBSYSTEM:WINDOWS -MANIFESTUAC:"level='asInvoker' uiAccess='false'" -OPT:ICF -ERRORREPORT:PROMPT -NOLOGO -TLBID:1
-      LIBS += kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib

## scummvm 2.9.1+dfsg

=== debian/changelog ===
scummvm (2.9.1+dfsg-1build1) resolute; urgency=medium

  * Rebuild against latest libtheora

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 11:23:09 -0500

scummvm (2.9.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 10 May 2025 20:02:11 +0200

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+dfsg\d*//,\
"  https://downloads.scummvm.org/frs/scummvm/([0-9.]+)/ .*/scummvm-([0-9.]+)@ARCHIVE_EXT@$
